import Moonbase from '@moonbaseai/sdk';
const client = new Moonbase({
apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const activity of client.activities.list()) {
console.log(activity.id);
}require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
page = moonbase.activities.list
puts(page)import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
page = client.activities.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/moonbaseai/moonbase-sdk-go"
"github.com/moonbaseai/moonbase-sdk-go/option"
)
func main() {
client := moonbase.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Activities.List(context.TODO(), moonbase.ActivityListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.moonbase.ai/v0/activities \
--header 'Authorization: Bearer <token>'{
"type": "list",
"data": [
{
"id": "1CLJt2vzeHVcmA4dfFWXVW",
"type": "activity/program_message_unsubscribed",
"occurred_at": "2025-02-13T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vzPuHzrSaGxxRwNj",
"type": "unsubscribe"
}
}
]
},
{
"id": "1CLJt2vy9zHuJs8VVV2znr",
"type": "activity/program_message_shielded",
"occurred_at": "2025-02-12T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vwv5HomHgi21e4Cy",
"type": "activity/program_message_failed",
"occurred_at": "2025-02-11T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vvgAHiDiEvYYF7d6",
"type": "activity/program_message_complained",
"occurred_at": "2025-02-10T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vuSFHcg8o954rB3D",
"type": "activity/program_message_bounced",
"occurred_at": "2025-02-09T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vtCLHX8ZMMbbTETL",
"type": "activity/program_message_clicked",
"occurred_at": "2025-02-08T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vrxRHRayua884HsT",
"type": "activity/program_message_opened",
"occurred_at": "2025-02-07T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vqiWHL3QTneefMHa",
"type": "activity/program_message_sent",
"occurred_at": "2025-02-06T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vmFcgBgXfN9MEmBc",
"type": "activity/call_occurred",
"occurred_at": "2025-02-04T15:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vgnj53Kerwe3pB5e",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vj2AscW6G9thXU8d",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vfoCGZgnuWrsVpcY",
"type": "call"
}
}
]
},
{
"id": "1CLJt2vkG5si3fhwNAvQiW",
"type": "activity/item_created",
"occurred_at": "2025-02-04T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vj2AscW6G9thXU8d",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2vi2e58sEJj7XD7fX",
"type": "activity/item_created",
"occurred_at": "2025-02-04T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vgnj53Kerwe3pB5e",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2veofU63vx65hBU9S",
"type": "activity/note_created",
"occurred_at": "2025-02-03T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2veZHGU9DTjPQ6t2f",
"type": "note"
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vc5TGH44aASTJzru",
"type": "activity/inbox_message_sent",
"occurred_at": "2025-02-02T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v7opRhSWqVEtHwYT",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vabA4Zbme2GgqUAF",
"type": "message"
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vWNef39cKxTgVUB4",
"type": "activity/inbox_message_sent",
"occurred_at": "2025-02-01T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vUtMTKhKPpHv1wUQ",
"type": "message"
}
}
]
},
{
"id": "1CLJt2vQfr3oFA5kUufwVD",
"type": "activity/form_submitted",
"occurred_at": "2025-01-30T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vMSsSkRrj7T5eHy8",
"type": "item",
"collection": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
]
},
{
"id": "1CLJt2vPgKFKcJ8KhjMb27",
"type": "activity/item_created",
"occurred_at": "2025-01-30T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vMSsSkRrj7T5eHy8",
"type": "item",
"collection": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
]
},
{
"id": "1CLJt2vLTLeGnzmgfuKwW2",
"type": "activity/item_merged",
"occurred_at": "2025-01-30T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vFk4qWXQUuUJpmHH",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vGyyqc4yvgwnDhsA",
"type": "activity/item_created",
"occurred_at": "2025-01-30T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vFk4qWXQUuUJpmHH",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2vEW9qQyq37zqRphQ",
"type": "activity/item_created",
"occurred_at": "2025-01-30T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2vCGi2qoPdukBiXeR",
"type": "activity/item_created",
"occurred_at": "2025-01-29T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vA3GEGcxEhVY1EbS",
"type": "item",
"collection": {
"id": "1CLJt2vAHeRtXfj4Bq5piD",
"type": "collection",
"ref": "test_collection_102"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vAHeRtXfj4Bq5piD",
"type": "collection",
"ref": "test_collection_102"
}
}
]
}
],
"meta": {
"cursors": {
"next": "eyJpZCI6IjFDTEp0MnZDR2kycW9QZHVrQmlYZVIiLCJkaXJlY3Rpb24iOiJmb3J3YXJkIn0"
}
}
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "403",
"title": "Forbidden"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "422",
"title": "Unprocessable Entity",
"detail": "constituent_entity_type must be specified when specifying constituent_entity_id",
"source": {
"parameter": "constituent_entity_id[eq]"
}
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "429",
"title": "Too Many Requests"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "500",
"title": "Internal Server Error"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}List Activities
Returns a list of activities.
import Moonbase from '@moonbaseai/sdk';
const client = new Moonbase({
apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const activity of client.activities.list()) {
console.log(activity.id);
}require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
page = moonbase.activities.list
puts(page)import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
page = client.activities.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/moonbaseai/moonbase-sdk-go"
"github.com/moonbaseai/moonbase-sdk-go/option"
)
func main() {
client := moonbase.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Activities.List(context.TODO(), moonbase.ActivityListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.moonbase.ai/v0/activities \
--header 'Authorization: Bearer <token>'{
"type": "list",
"data": [
{
"id": "1CLJt2vzeHVcmA4dfFWXVW",
"type": "activity/program_message_unsubscribed",
"occurred_at": "2025-02-13T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vzPuHzrSaGxxRwNj",
"type": "unsubscribe"
}
}
]
},
{
"id": "1CLJt2vy9zHuJs8VVV2znr",
"type": "activity/program_message_shielded",
"occurred_at": "2025-02-12T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vwv5HomHgi21e4Cy",
"type": "activity/program_message_failed",
"occurred_at": "2025-02-11T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vvgAHiDiEvYYF7d6",
"type": "activity/program_message_complained",
"occurred_at": "2025-02-10T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vuSFHcg8o954rB3D",
"type": "activity/program_message_bounced",
"occurred_at": "2025-02-09T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vtCLHX8ZMMbbTETL",
"type": "activity/program_message_clicked",
"occurred_at": "2025-02-08T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vrxRHRayua884HsT",
"type": "activity/program_message_opened",
"occurred_at": "2025-02-07T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
}
]
},
{
"id": "1CLJt2vqiWHL3QTneefMHa",
"type": "activity/program_message_sent",
"occurred_at": "2025-02-06T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpED5cb7XeUtBpav",
"type": "program_template"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vpUbHEVq21BBGQhh",
"type": "program"
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vqU85i8gyRxMamAo",
"type": "program_message"
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vmFcgBgXfN9MEmBc",
"type": "activity/call_occurred",
"occurred_at": "2025-02-04T15:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vgnj53Kerwe3pB5e",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vj2AscW6G9thXU8d",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vfoCGZgnuWrsVpcY",
"type": "call"
}
}
]
},
{
"id": "1CLJt2vkG5si3fhwNAvQiW",
"type": "activity/item_created",
"occurred_at": "2025-02-04T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vj2AscW6G9thXU8d",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2vi2e58sEJj7XD7fX",
"type": "activity/item_created",
"occurred_at": "2025-02-04T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vgnj53Kerwe3pB5e",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2veofU63vx65hBU9S",
"type": "activity/note_created",
"occurred_at": "2025-02-03T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2veZHGU9DTjPQ6t2f",
"type": "note"
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vc5TGH44aASTJzru",
"type": "activity/inbox_message_sent",
"occurred_at": "2025-02-02T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v7opRhSWqVEtHwYT",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vabA4Zbme2GgqUAF",
"type": "message"
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vWNef39cKxTgVUB4",
"type": "activity/inbox_message_sent",
"occurred_at": "2025-02-01T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vUtMTKhKPpHv1wUQ",
"type": "message"
}
}
]
},
{
"id": "1CLJt2vQfr3oFA5kUufwVD",
"type": "activity/form_submitted",
"occurred_at": "2025-01-30T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vMSsSkRrj7T5eHy8",
"type": "item",
"collection": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
]
},
{
"id": "1CLJt2vPgKFKcJ8KhjMb27",
"type": "activity/item_created",
"occurred_at": "2025-01-30T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vMSsSkRrj7T5eHy8",
"type": "item",
"collection": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vMhFeNLaDU9Nit5u",
"type": "collection",
"ref": "test_collection_103"
}
}
]
},
{
"id": "1CLJt2vLTLeGnzmgfuKwW2",
"type": "activity/item_merged",
"occurred_at": "2025-01-30T16:00:00.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vFk4qWXQUuUJpmHH",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
}
]
},
{
"id": "1CLJt2vGyyqc4yvgwnDhsA",
"type": "activity/item_created",
"occurred_at": "2025-01-30T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vFk4qWXQUuUJpmHH",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2vEW9qQyq37zqRphQ",
"type": "activity/item_created",
"occurred_at": "2025-01-30T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vDGEqKSFbLXN2t7X",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
]
},
{
"id": "1CLJt2vCGi2qoPdukBiXeR",
"type": "activity/item_created",
"occurred_at": "2025-01-29T15:59:55.000Z",
"constituents": [
{
"type": "constituent",
"relation": "actor",
"entity": {
"id": "1CLJt2v271pTY4bHG7UQrc",
"type": "item",
"collection": {
"id": "1CLJt2ubZ7zAZFBxUxeBHo",
"type": "collection",
"ref": "people"
}
}
},
{
"type": "constituent",
"relation": "object",
"entity": {
"id": "1CLJt2vA3GEGcxEhVY1EbS",
"type": "item",
"collection": {
"id": "1CLJt2vAHeRtXfj4Bq5piD",
"type": "collection",
"ref": "test_collection_102"
}
}
},
{
"type": "constituent",
"relation": "target",
"entity": {
"id": "1CLJt2vAHeRtXfj4Bq5piD",
"type": "collection",
"ref": "test_collection_102"
}
}
]
}
],
"meta": {
"cursors": {
"next": "eyJpZCI6IjFDTEp0MnZDR2kycW9QZHVrQmlYZVIiLCJkaXJlY3Rpb24iOiJmb3J3YXJkIn0"
}
}
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "403",
"title": "Forbidden"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "422",
"title": "Unprocessable Entity",
"detail": "constituent_entity_type must be specified when specifying constituent_entity_id",
"source": {
"parameter": "constituent_entity_id[eq]"
}
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "429",
"title": "Too Many Requests"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "500",
"title": "Internal Server Error"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}Authorizations
Your Moonbase API key.
Query Parameters
When specified, returns results starting immediately before the item identified by this cursor. Use the cursor value from the response's metadata to fetch the previous page of results.
When specified, returns results starting immediately after the item identified by this cursor. Use the cursor value from the previous response's metadata to fetch the next page of results.
Maximum number of items to return per page. Must be between 1 and 100. Defaults to 20 if not specified.
1 <= x <= 100Filter activities by type.
Show child attributes
Show child attributes
Filter activities by when they occurred.
Show child attributes
Show child attributes
Filter activities by which entities were involved. Must be paired with constituent_entity_id.
Show child attributes
Show child attributes
Filter activities by which entities were involved. Must be paired with constituent_entity_type.
Show child attributes
Show child attributes
Filter activities by which entities were involved via specific relations. Must be paired with constituent_entity_type and constituent_entity_id.
Show child attributes
Show child attributes
Response
Successful response.
A set of results using cursor-based pagination.

